Subject: bug#33573: Patch to replace symlinks with files

From: Peter Johansson <[email-masked]>
Date: Sun, 1 Jan 2023 21:14:38 +1000

Hi both,

On 1/1/23 05:20, Bogdan wrote:
> Karl Berry <[email-masked]>, Sat Dec 31 2022 03:30:42 GMT+0100 
> (Central European Standard Time)
>> Hi Bogdan,
>>
>>      Someone reported a bug for this, so I simply gave it a try.
>>
>> Thank you! I didn't realize you were working on some of the old bugs.
>> That is great!
>
>
> :)
>
>
>> To bring this one in particular to fruition: can you check what happens
>> when -c -a would need to overwrite a symlink? I think it should just
>> give a warning. Then the user can decide what to do.
>
>
> It simply doesn't do or say anything, because the object already 
> exists (the subroutine simply leaves).
>
>
FWIW, as a user I think this is the expected behavior. The option is 
named --add-missing, so if the file is not missing, I expect nothing to 
happen.

Cheers,

Peter